perl-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stas Bekman <>
Subject Re: Apache::Request
Date Sun, 04 Jul 2004 19:11:35 GMT
Randy Kobes wrote:
> [ adjust cc list to dev ]
> On Wed, 16 Jun 2004, Kreimendahl, Chad J wrote:
>>Install using one of the following methods:
>>(easiest way)
>>perl Makefile.PL --with-apache2-apxs=/path/to/apache2/bin/apxs
>>(or, same thing, different method)
>>./configure --with-apache2-apxs=/path/to/apache2/bin/apxs
>>--enable-perl-glue --with-perl=/path/to/perl/binary
>>(then, the standard)
>>make test
>>make install
>>This appears to install over top of the existing module, unlike
>>installing in an Apache2 directory (like those of us who had mp1 and mp2
>>running).  So there may be problems in mp1 once this is done... I'd test
>>it, but my mp1 is long gone.
> I noticed too this happens with an older version of
> ExtUtils::MakeMaker (6.03) - the .pm files get copied into
> ../../../blib/lib/Apache/*, whereas the libraries get copied
> into ../../../blib/arch/Apache2/auto/Apache/*. So this would
> replace existing Apache::(Request|Cookie) pm files from a
> libapreq-1 install. Upgrading ExtUtils::MakeMaker to 6.21
> fixes this - the .pm files then go into
> ../../../blib/lib/Apache2/Apache/*.

why not require a higher ExtUtils::MakeMaker? It's easily upgradable from 
CPAN, not requiring a perl upgrade.

Stas Bekman            JAm_pH ------> Just Another mod_perl Hacker     mod_perl Guide --->

To unsubscribe, e-mail:
For additional commands, e-mail:

View raw message